/**
 * $Id: AlarmClockMBean.java,v 1.1 2009/02/23 21:58:54 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 22.02.2009 by oliver (ob@oasd.de)
 */
package patterntesting.sample.jmx;

import java.util.Date;

/**
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 22.02.2009
 * @version $Revision: 1.1 $
 */
public interface AlarmClockMBean {
    
    /**
     * @return the actual time
     */
    public Date getTime();

    /* (non-Javadoc)
     * @see patterntesting.sample.jmx.AlarmClockMBean#getAlarmTime()
     */
    public Date getAlarmTime();

    /* (non-Javadoc)
     * @see patterntesting.sample.jmx.AlarmClockMBean#setAlarmTime(java.util.Date)
     */
    public void setAlarmTime(Date alarmTime);

    /* (non-Javadoc)
     * @see patterntesting.sample.jmx.AlarmClockMBean#getTimeToWaitInMillis()
     */
    public long getTimeToWaitInMillis();

    /* (non-Javadoc)
     * @see patterntesting.sample.jmx.AlarmClockMBean#setTimeToWaitInMillis(long)
     */
    public void setTimeToWaitInMillis(long t);

    /* (non-Javadoc)
     * @see patterntesting.sample.jmx.AlarmClockMBean#deactivateAlarm()
     */
    public void deactivateAlarm();

    /* (non-Javadoc)
     * @see patterntesting.sample.jmx.AlarmClockMBean#ring()
     */
    public void ring();

}

/**
 * $Log: AlarmClockMBean.java,v $
 * Revision 1.1  2009/02/23 21:58:54  oboehm
 * example for MBean registration added
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-samples/src/main/java/patterntesting/sample/jmx/AlarmClockMBean.java,v $
 */
